Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000737EMStudioGeneralpublic2012-10-13 13:232013-01-29 13:29
ReporterFred 
Assigned ToFred 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version0.0.1-SNAPSHOT 
Target Version0.0.1Fixed in Version0.0.1 
Summary0000737: *** glibc detected *** ./emstudio: corrupted double-linked list: 0x08461208 ***
DescriptionDumps trace on exit every time.
Additional InformationCurrent block size: 0
*** glibc detected *** ./emstudio: corrupted double-linked list: 0x08461208 ***

TagsNo tags attached.
Issue TypeBug
Attached Files

- Relationships

-  Notes
User avatar (0002306)
malcom2073 (manager)
2012-10-14 10:06

Fixed in 86be2e3948d860f8e869cdab4ea40bb739670c85, serial rx thread was not being properly closed.
User avatar (0002311)
Fred (administrator)
2012-10-14 13:55

Now it takes a second to die every time. Can we set shorter timeouts or kill the thread forcibly? You're closing, you no longer care what it's doing :-)
User avatar (0002320)
malcom2073 (manager)
2012-10-15 01:56

As of f4862bcefaa13cd12b3961b3b4f3136d733b38a0, it should exist in 10 milliseconds or less.
User avatar (0002328)
Fred (administrator)
2012-10-15 08:28

Much better!
User avatar (0002353)
Fred (administrator)
2012-10-16 16:14

fred@cheetah:~/workspaces/freetune$ ./emstudio -d /dev/ttyUSB3
EMStudio commit: 9229ba5
Full hash: 9229ba5093ede4a231277b3d98266f5ef258e7f9
Loading config file freeems.config.json
16 Ram entries found
XCalc: "div" 1000
XCalc: "div" 100
XCalc: "sub" 273.15
XCalc: "div" 1000
XCalc: "div" 2
XCalc: "div" 100
XCalc: "sub" 273.15
XCalc: "div" 2
XCalc: "div" 2
XCalc: "div" 2
68 Error Keys Loaded
3 3D Tables Loaded
5 2D Tables Loaded
QObject: Cannot create children for a parent that is in a different thread.
(Parent is FreeEmsComms(0x9bd9b10), parent's thread is QThread(0x9b6ddf0), current thread is FreeEmsComms(0x9bd9b10)
Error opening COM port Low Level: No such file or directory
Port: "/dev/ttyUSB3"
Error writing to verify FreeEMS
FreeEMS is either in Serial Monitor mode, or EMStudio is connected to the wrong port
QThread: Destroyed while thread is still running
*** glibc detected *** ./emstudio: corrupted double-linked list: 0x09c4b428 ***
======= Backtrace: =========
/lib/i386-linux-gnu/i686/cmov/libc.so.6(+0x6e3e1)[0xb60443e1]
/lib/i386-linux-gnu/i686/cmov/libc.so.6(+0x6e81e)[0xb604481e]
/lib/i386-linux-gnu/i686/cmov/libc.so.6(+0x6fbc5)[0xb6045bc5]
/lib/i386-linux-gnu/i686/cmov/libc.so.6(cfree+0x6d)[0xb6048cfd]
/usr/lib/i386-linux-gnu/libGL.so.1(+0x84d82)[0xb62e3d82]
/lib/i386-linux-gnu/i686/cmov/libc.so.6(+0x2f50f)[0xb600550f]
/lib/i386-linux-gnu/i686/cmov/libc.so.6(+0x2f57f)[0xb600557f]
/lib/i386-linux-gnu/i686/cmov/libc.so.6(__libc_start_main+0xee)[0xb5fece4e]
./emstudio[0x805a3b9]
======= Memory map: ========
08048000-0810a000 r-xp 00000000 08:04 931331 /home/fred/workspaces/freetune/emstudio
0810a000-0810c000 rw-p 000c1000 08:04 931331 /home/fred/workspaces/freetune/emstudio
09b3c000-09fec000 rw-p 00000000 00:00 0 [heap]
b0300000-b0321000 rw-p 00000000 00:00 0
b0321000-b0400000 ---p 00000000 00:00 0
b04ff000-b0500000 ---p 00000000 00:00 0
b0500000-b0d00000 rw-p 00000000 00:00 0
b1168000-b1268000 rw-p 00000000 00:00 0
b1268000-b1269000 ---p 00000000 00:00 0
b1269000-b1a69000 rw-p 00000000 00:00 0
b1b0e000-b1b56000 r-xp 00000000 08:04 396876 /lib/i386-linux-gnu/libdbus-1.so.3.5.7
b1b56000-b1b57000 ---p 00048000 08:04 396876 /lib/i386-linux-gnu/libdbus-1.so.3.5.7
b1b57000-b1b58000 r--p 00048000 08:04 396876 /lib/i386-linux-gnu/libdbus-1.so.3.5.7
b1b58000-b1b59000 rw-p 00049000 08:04 396876 /lib/i386-linux-gnu/libdbus-1.so.3.5.7
b1b59000-b1b99000 r-xp 00000000 08:04 5784675 /usr/lib/i386-linux-gnu/libQtXml.so.4.8.2
b1b99000-b1b9a000 r--p 00040000 08:04 5784675 /usr/lib/i386-linux-gnu/libQtXml.so.4.8.2
b1b9a000-b1b9b000 rw-p 00041000 08:04 5784675 /usr/lib/i386-linux-gnu/libQtXml.so.4.8.2
b1b9b000-b1c19000 r-xp 00000000 08:04 5784452 /usr/lib/i386-linux-gnu/libQtDBus.so.4.8.2
b1c19000-b1c1a000 r--p 0007d000 08:04 5784452 /usr/lib/i386-linux-gnu/libQtDBus.so.4.8.2
b1c1a000-b1c1b000 rw-p 0007e000 08:04 5784452 /usr/lib/i386-linux-gnu/libQtDBus.so.4.8.2
b1c1b000-b1c7d000 r-xp 00000000 08:04 5790579 /usr/lib/libibus-qt.so.1.3.0
b1c7d000-b1c7f000 rw-p 00061000 08:04 5790579 /usr/lib/libibus-qt.so.1.3.0
b1c7f000-b1c85000 rw-p 00000000 00:00 0
b1ca7000-b1cb3000 rw-p 00000000 00:00 0
b1cb7000-b1cdd000 rw-p 00000000 00:00 0
b1cdd000-b1d01000 r-xp 00000000 08:04 7082801 /usr/lib/qt4/plugins/inputmethods/libqtim-ibus.so
b1d01000-b1d02000 rw-p 00024000 08:04 7082801 /usr/lib/qt4/plugins/inputmethods/libqtim-ibus.so
b1db2000-b1dbb000 r-xp 00000000 08:04 5773852 /usr/lib/i386-linux-gnu/libXcursor.so.1.0.2
b1dbb000-b1dbc000 rw-p 00008000 08:04 5773852 /usr/lib/i386-linux-gnu/libXcursor.so.1.0.2
b1dbc000-b1dc3000 r-xp 00000000 08:04 5773860 /usr/lib/i386-linux-gnu/libXrandr.so.2.2.0
b1dc3000-b1dc4000 rw-p 00006000 08:04 5773860 /usr/lib/i386-linux-gnu/libXrandr.so.2.2.0
b1dc8000-b1dd8000 rw-p 00000000 00:00 0
b1dd8000-b1ddd000 r-xp 00000000 08:04 5781655 /usr/lib/i386-linux-gnu/qt4/plugins/inputmethods/libqimsw-multi.so
b1ddd000-b1dde000 ---p 00005000 08:04 5781655 /usr/lib/i386-linux-gnu/qt4/plugins/inputmethods/libqimsw-multi.so
b1dde000-b1ddf000 r--p 00005000 08:04 5781655 /usr/lib/i386-linux-gnu/qt4/plugins/inputmethods/libqimsw-multi.so
b1ddf000-b1de0000 rw-p 00006000 08:04 5781655 /usr/lib/i386-linux-gnu/qt4/plugins/inputmethods/libqimsw-multi.so
b1de0000-b1de1000 r--s 00000000 08:04 663965 /var/cache/fontconfig/c05880de57d1f5e948fdfacc138775d9-le32d4.cache-3
b1de1000-b1de7000 r--s 00000000 08:04 663256 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-le32d4.cache-3
b1de7000-b1de9000 r--s 00000000 08:04 663962 /var/cache/fontconfig/f24b2111ab8703b4e963115a8cf14259-le32d4.cache-3
b1de9000-b1deb000 r--s 00000000 08:04 663961 /var/cache/fontconfig/ea47318ec9849e1a71e80a5d69d13859-le32d4.cache-3
b1deb000-b1dec000 r--s 00000000 08:04 663960 /var/cache/fontconfig/e3fa16a14183b06aa45b3e009278fd14-le32d4.cache-3
b1dec000-b1dee000 r--s 00000000 08:04 663956 /var/cache/fontconfig/b5ea634b0fb353b8ea17632d1f9ef766-le32d4.cache-3
b1dee000-b1df2000 r--s 00000000 08:04 663955 /var/cache/fontconfig/6eb3985aa4124903f6ff08ba781cd364-le32d4.cache-3
b1df2000-b1df9000 r--s 00000000 08:04 663953 /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-le32d4.cache-3
b1df9000-b1dfa000 r--s 00000000 08:04 661682 /var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-le32d4.cache-3
b1dfa000-b1e1d000 r--s 00000000 08:04 668800 /var/cache/fontconfig/365b55f210c0a22e9a19e35191240f32-le32d4.cache-3
b1e1d000-b1e33000 r--s 00000000 08:04 661940 /var/cache/fontconfig/cabbd14511b9e8a55e92af97fb3a0461-le32d4.cache-3
b1e33000-b1e41000 r--s 00000000 08:04 663643 /var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-le32d4.cache-3
b1e41000-b1e7c000 r--s 00000000 08:04 663575 /var/cache/fontconfig/eeebfc908bd29a90773fd860017aada4-le32d4.cache-3
b1e7c000-b1eb7000 r--s 00000000 08:04 661929 /var/cache/fontconfig/21a99156bb11811cef641abeda519a45-le32d4.cache-3
b1eb7000-b3025000 r--p 00000000 08:04 5793883 /usr/lib/libicudata.so.48.1.1
b3025000-b3026000 rw-p 0116d000 08:04 5793883 /usr/lib/libicudata.so.48.1.1
b3026000-b3180000 r-xp 00000000 08:04 5793880 /usr/lib/libicuuc.so.48.1.1
b3180000-b318a000 rw-p 00159000 08:04 5793880 /usr/lib/libicuuc.so.48.1.1
b318a000-b318e000 rw-p 00000000 00:00 0
b318e000-b3362000 r-xp 00000000 08:04 5793884 /usr/lib/libicui18n.so.48.1.1
b3362000-b3369000 rw-p 001d4000 08:04 5793884 /usr/lib/libicui18n.so.48.1.1
b3369000-b336f000 rw-p 00000000 00:00 0
b336f000-b3371000 r-xp 00000000 08:04 5789379 /usr/lib/i386-linux-gnu/libXinerama.so.1.0.0
b3371000-b3372000 rw-p 00001000 08:04 5789379 /usr/lib/i386-linux-gnu/libXinerama.so.1.0.0
b3372000-b3377000 r-xp 00000000 08:04 5773594 /usr/lib/i386-linux-gnu/libXfixes.so.3.1.0
b3377000-b3378000 rw-p 00004000 08:04 5773594 /usr/lib/i386-linux-gnu/libXfixes.so.3.1.0
b3378000-b3385000 r--s 00000000 08:04 663951 /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-le32d4.cache-3
b3385000-b3585000 r--p 00000000 08:04 5772423 /usr/lib/locale/locale-archive
b3585000-b3589000 rw-p 00000000 00:00 0
b3589000-b358e000 r-xp 00000000 08:04 5773586 /usr/lib/i386-linux-gnu/libXdmcp.so.6.0.0
b358e000-b358f000 rw-p 00004000 08:04 5773586 /usr/lib/i386-linux-gnu/libXdmcp.so.6.0.0
b358f000-b3592000 r-xp 00000000 08:04 393355 /lib/libuuid.so.1.3.0
b3592000-b3593000 rw-p 00002000 08:04 393355 /lib/libuuid.so.1.3.0
b3593000-b3598000 r-xp 00000000 08:04 5773291 /usr/lib/i386-linux-gnu/libffi.so.5.0.10
b3598000-b3599000 rw-p 00005000 08:04 5773291 /usr/lib/i386-linux-gnu/libffi.so.5.0.10
b3599000-b359a000 r-xp 00000000 08:04 5788314 /usr/lib/i386-linux-gnu/libgthread-2.0.so.0.3200.3
b359a000-b359b000 r--p 00000000 08:04 5788314 /usr/lib/i386-linux-gnu/libgthread-2.0.so.0.3200.3
b359b000-b359c000 rw-p 00001000 08:04 5788314 /usr/lib/i386-linux-gnu/libgthread-2.0.so.0.3200.3Aborted
User avatar (0002354)
Fred (administrator)
2012-10-16 16:15

From: 10d3e6449628d21c21418a9f228e79a804cf4d5d
And: gave ttyUSB3 in order to fail, left it 20mins, closed dialogue, closed window, got that.
User avatar (0002491)
malcom2073 (manager)
2012-12-25 16:36

Please verify this was fixed, test against b4a5e309a7648b16f14344ac56cdd4b6481491b6

I've made a lot of changes in how the serial threads are handled, and I can't get it to crash in this way anymore.
User avatar (0002579)
Fred (administrator)
2013-01-29 13:29

Benefit of the doubt @ 5b3814b1a0c38ca2485d39ae7b817edf75534095


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker